> ## Documentation Index
> Fetch the complete documentation index at: https://docs.swarmd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List monitor alerts with filters

> **Security Requirements**

| Auth Types | Entities | Permissions | Required Roles |
|------------|----------|-------------|----------------|
| USER | AUDIT | READ | AUDIT:READ |



## OpenAPI

````yaml /openapi/swarmd.json get /audit/v1/monitors/alerts
openapi: 3.1.0
info:
  title: Relay
  version: v0
servers:
  - url: https://api.dev.swarmd.ai
    description: Development
security: []
tags:
  - name: Policy Groups
    x-displayName: Policy Groups
  - name: Policy Bindings
    x-displayName: Policy Bindings
  - name: Evaluation Packs
    x-displayName: Evaluation Packs
  - name: Webhooks
    x-displayName: Webhooks
  - name: MCP JSON-RPC
    x-displayName: MCP JSON-RPC
  - name: Conversations
    x-displayName: Conversations
  - name: Human JSON-RPC
    x-displayName: Human JSON-RPC
  - name: Channel JSON-RPC
    x-displayName: Channel JSON-RPC
  - name: HITL Approvals
    x-displayName: HITL Approvals
  - name: Agent JSON-RPC
    x-displayName: Agent JSON-RPC
  - name: Tasks
    x-displayName: Tasks
  - name: Push Notifications
    x-displayName: Push Notifications
  - name: Messaging
    x-displayName: Messaging
  - name: LLM Runtime
    x-displayName: LLM Runtime
  - name: Agent Discovery
    x-displayName: Agent Discovery
  - name: MCP Servers
    x-displayName: MCP Servers
  - name: LLM Gateways
    x-displayName: LLM Gateways
  - name: Agents
    x-displayName: Agents
  - name: User Subscriptions
    x-displayName: User Subscriptions
  - name: LLM Providers
    x-displayName: LLM Providers
  - name: LLM Gateway Subscriptions
    x-displayName: LLM Gateway Subscriptions
  - name: Kill Switches
    x-displayName: Kill Switches
  - name: Channels
    x-displayName: Channels
  - name: Channel Subscriptions
    x-displayName: Channel Subscriptions
  - name: Agent Subscriptions
    x-displayName: Agent Subscriptions
  - name: Marketplace
    x-displayName: Marketplace
  - name: Identity Providers
    x-displayName: Identity Providers
  - name: Groups
    x-displayName: Groups
  - name: Authentication
    x-displayName: Authentication
  - name: Users
    x-displayName: Users
  - name: Tenants
    x-displayName: Tenants
  - name: mcp-consent-controller
    x-displayName: mcp-consent-controller
  - name: Audit Monitors
    x-displayName: Audit Monitors
  - name: Audit Integrity
    x-displayName: Audit Integrity
  - name: Audit Events
    x-displayName: Audit Events
  - name: Audit Traces
    x-displayName: Audit Traces
  - name: audit-rest-controller
    x-displayName: audit-rest-controller
  - name: Audit Dashboard
    x-displayName: Audit Dashboard
  - name: A2A Payments
    x-displayName: A2A Payments
paths:
  /audit/v1/monitors/alerts:
    get:
      tags:
        - Audit Monitors
      summary: List monitor alerts with filters
      description: |-
        **Security Requirements**

        | Auth Types | Entities | Permissions | Required Roles |
        |------------|----------|-------------|----------------|
        | USER | AUDIT | READ | AUDIT:READ |
      operationId: listMonitorAlerts
      parameters:
        - name: severity
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - LOW
                - MEDIUM
                - HIGH
                - CRITICAL
        - name: status
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: detectorName
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - POLICY_INVOCATION_ANOMALY
                - POLICY_BLOCK_ANOMALY
                - POLICY_WARN_ANOMALY
                - POLICY_HITL_HOLD_ANOMALY
                - AGENT_VOLUME_ANOMALY
                - USER_VOLUME_ANOMALY
                - MCP_SERVER_VOLUME_ANOMALY
                - LLM_GATEWAY_VOLUME_ANOMALY
                - CHANNEL_VOLUME_ANOMALY
                - TENANT_ERROR_SPIKE
                - TENANT_WARN_SPIKE
                - TENANT_HITL_SPIKE
                - LLM_PROVIDER_ERROR_RATE_SPIKE
                - LLM_GATEWAY_FAILOVER_SPIKE
                - MCP_SERVER_ERROR_RATE_SPIKE
                - DORMANT_AGENT_REACTIVATION
                - DORMANT_USER_REACTIVATION
                - NOVEL_TOOL_CALL
                - NEW_MCP_SERVER_BINDING
        - name: category
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
              enum:
                - BEHAVIORAL
                - STATISTICAL
                - INFRA
        - name: startTime
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: endTime
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: pageable
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Audit_Pageable'
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Audit_MonitorAlertsListResponse'
      security:
        - Audit_bearerAuth: []
components:
  schemas:
    Audit_Pageable:
      type: object
      properties:
        page:
          type: integer
          format: int32
          minimum: 0
        size:
          type: integer
          format: int32
          minimum: 1
        sort:
          type: array
          items:
            type: string
    Audit_MonitorAlertsListResponse:
      type: object
      properties:
        content:
          type: array
          items:
            $ref: '#/components/schemas/Audit_MonitorAlertSummary'
        page:
          type: integer
          format: int32
        size:
          type: integer
          format: int32
        totalElements:
          type: integer
          format: int64
        totalPages:
          type: integer
          format: int32
        availableFilters:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Audit_FilterFacet'
    Audit_MonitorAlertSummary:
      type: object
      properties:
        findingId:
          type: string
          format: uuid
        detector:
          type: string
          enum:
            - POLICY_INVOCATION_ANOMALY
            - POLICY_BLOCK_ANOMALY
            - POLICY_WARN_ANOMALY
            - POLICY_HITL_HOLD_ANOMALY
            - AGENT_VOLUME_ANOMALY
            - USER_VOLUME_ANOMALY
            - MCP_SERVER_VOLUME_ANOMALY
            - LLM_GATEWAY_VOLUME_ANOMALY
            - CHANNEL_VOLUME_ANOMALY
            - TENANT_ERROR_SPIKE
            - TENANT_WARN_SPIKE
            - TENANT_HITL_SPIKE
            - LLM_PROVIDER_ERROR_RATE_SPIKE
            - LLM_GATEWAY_FAILOVER_SPIKE
            - MCP_SERVER_ERROR_RATE_SPIKE
            - DORMANT_AGENT_REACTIVATION
            - DORMANT_USER_REACTIVATION
            - NOVEL_TOOL_CALL
            - NEW_MCP_SERVER_BINDING
        severity:
          type: string
          enum:
            - LOW
            - MEDIUM
            - HIGH
            - CRITICAL
        direction:
          type: string
          enum:
            - SPIKE
            - DROP
        status:
          type: string
        subject:
          oneOf:
            - $ref: '#/components/schemas/Audit_Agent'
            - $ref: '#/components/schemas/Audit_Channel'
            - $ref: '#/components/schemas/Audit_LlmGateway'
            - $ref: '#/components/schemas/Audit_LlmProvider'
            - $ref: '#/components/schemas/Audit_McpServer'
            - $ref: '#/components/schemas/Audit_Policy'
            - $ref: '#/components/schemas/Audit_Tenant'
            - $ref: '#/components/schemas/Audit_User'
        detectedAt:
          type: string
          format: date-time
        summary:
          type: string
    Audit_FilterFacet:
      type: object
      properties:
        title:
          type: string
        counts:
          type: object
          additionalProperties:
            type: integer
            format: int64
        labels:
          type: object
          additionalProperties:
            type: string
    Audit_Agent:
      allOf:
        - $ref: '#/components/schemas/Audit_MonitorSubject'
        - type: object
          properties:
            id:
              type: string
              format: uuid
      required:
        - id
    Audit_Channel:
      allOf:
        - $ref: '#/components/schemas/Audit_MonitorSubject'
        - type: object
          properties:
            id:
              type: string
              format: uuid
      required:
        - id
    Audit_LlmGateway:
      allOf:
        - $ref: '#/components/schemas/Audit_MonitorSubject'
        - type: object
          properties:
            id:
              type: string
              format: uuid
      required:
        - id
    Audit_LlmProvider:
      allOf:
        - $ref: '#/components/schemas/Audit_MonitorSubject'
        - type: object
          properties:
            id:
              type: string
              format: uuid
      required:
        - id
    Audit_McpServer:
      allOf:
        - $ref: '#/components/schemas/Audit_MonitorSubject'
        - type: object
          properties:
            id:
              type: string
              format: uuid
      required:
        - id
    Audit_Policy:
      allOf:
        - $ref: '#/components/schemas/Audit_MonitorSubject'
        - type: object
          properties:
            id:
              type: string
              format: uuid
      required:
        - id
    Audit_Tenant:
      allOf:
        - $ref: '#/components/schemas/Audit_MonitorSubject'
        - type: object
          properties:
            id:
              type: string
              format: uuid
      required:
        - id
    Audit_User:
      allOf:
        - $ref: '#/components/schemas/Audit_MonitorSubject'
        - type: object
          properties:
            id:
              type: string
              format: uuid
      required:
        - id
    Audit_MonitorSubject:
      discriminator:
        propertyName: type
      properties:
        type:
          type: string
      required:
        - type
  securitySchemes:
    Audit_bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT token (USER, AGENT, or SERVICE auth)

````